Bug 15460 - Bug 13381 accidentally removed spaces after subfields c and h of 245
Summary: Bug 13381 accidentally removed spaces after subfields c and h of 245
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Caitlin Goodger
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
: 15596 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-01-04 13:31 UTC by Ian Bays
Modified: 2017-01-27 03:10 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15460 Adding spaces after subfields c and h of 245 (5.99 KB, patch)
2017-01-17 22:50 UTC, Caitlin Goodger
Details | Diff | Splinter Review
[SIGNED OFF] Bug 15460 Adding spaces after subfields c and h of 245 (6.06 KB, patch)
2017-01-17 23:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15460 Adding spaces after subfields c and h of 245 (6.10 KB, patch)
2017-01-19 13:35 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Bays 2016-01-04 13:31:02 UTC
It seems that the change in the xslt (bug 13381) to put span around subfields c and h has removed the space that was generated between the subfields.
In koha-tmpl/intranet-tmpl/prog/en/xslt/MARC21slim2intranetDetail.xsl there is an:
<xsl:text> </xsl:text>
at line 125 in the otherwise clause that spaces out the subfields.  The two that were singled out do not have this.  Adding them back in within the <span> achieves the normal, desired spacing.

All four xsl files are affected:
koha-tmpl/intranet-tmpl/prog/en/xslt/MARC21slim2intranetDetail.xsl
koha-tmpl/intranet-tmpl/prog/en/xslt/MARC21slim2intranetResults.xsl
koha-tmpl/intranet-tmpl/prog/en/xslt/MARC21slim2intranetDetail.xsl
koha-tmpl/intranet-tmpl/prog/en/xslt/MARC21slim2intranetResults.xsl
Comment 1 Katrin Fischer 2016-01-17 23:46:07 UTC
Some examples for testing can be found here:
http://www.loc.gov/marc/bibliographic/bd245.html
Comment 2 Katrin Fischer 2016-01-19 06:56:40 UTC
*** Bug 15596 has been marked as a duplicate of this bug. ***
Comment 3 Caitlin Goodger 2017-01-17 22:50:13 UTC
Created attachment 59118 [details] [review]
Bug 15460 Adding spaces after subfields c and h of 245

Test Plan
1: Add something inside c and h of 245 on a Biblical Record. There won't be a space between
the c and h
2: This will occur on both the search results and the details pages of
the record in both the intranet and opac.
3: Apply the patch
4: Refresh and see that there is now a space between c and h.
Comment 4 Katrin Fischer 2017-01-17 23:35:00 UTC
Created attachment 59122 [details] [review]
[SIGNED OFF] Bug 15460 Adding spaces after subfields c and h of 245

Test Plan
1: Add something inside c and h of 245 on a Bibliographic Record. There won't be a space between
the c and h
2: This will occur on both the search results and the details pages of
the record in both the intranet and opac.
3: Apply the patch
4: Refresh and see that there is now a space between c and h.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2017-01-17 23:35:31 UTC
Fixed biblical to bibliographic in commit message ;-)
Comment 6 Kyle M Hall 2017-01-19 13:35:35 UTC
Created attachment 59250 [details] [review]
Bug 15460 Adding spaces after subfields c and h of 245

Test Plan
1: Add something inside c and h of 245 on a Bibliographic Record. There won't be a space between
the c and h
2: This will occur on both the search results and the details pages of
the record in both the intranet and opac.
3: Apply the patch
4: Refresh and see that there is now a space between c and h.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Kyle M Hall 2017-01-19 13:35:55 UTC
Pushed to master for 17.05, thanks Caitlin!
Comment 8 Katrin Fischer 2017-01-22 19:15:34 UTC
This patch has been pushed to 16.11.x and will be in 16.11.02.

Thx Caitlin!
Comment 9 Mason James 2017-01-27 03:10:20 UTC
Pushed to 16.05.x, for 16.05.08 release